com.genesyslab.wfm8.API.service.scheduleTrade850

## Class SchTradeResponseHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.scheduleTrade850.SchTradeResponseHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeResponseHolder
      extends java.lang.Object
      implements java.io.Serializable

  Trade Response Record Holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgAgentShort>` | `cfgAgentInfo`
    `protected int` | `cfgAgentInfoNSizeIs`
    `protected java.util.List<CfgContractShort>` | `cfgContractInfo`
    `protected int` | `cfgContractInfoNSizeIs`
    `protected java.util.List<CfgTeamShort>` | `cfgTeamInfo`
    `protected int` | `cfgTeamInfoNSizeIs`
    `protected java.util.List<SchAgentDay>` | `schAgentDay`
    `protected int` | `schAgentDayNSizeIs`
    `protected java.util.List<SchAgentDayShort>` | `schAgentDayShort`
    `protected int` | `schAgentDayShortNSizeIs`
    `protected java.util.List<SchStateInfo>` | `schStateInfo`
    `protected int` | `schStateInfoNSizeIs`
    `protected java.util.List<SchTradeResponse>` | `schTradeResponse`
    `protected int` | `schTradeResponseNSizeIs`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeResponseHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgAgentShort>` | `getCfgAgentInfo()` Gets the value of the cfgAgentInfo property.
    `int` | `getCfgAgentInfoNSizeIs()` Gets the value of the cfgAgentInfoNSizeIs property.
    `java.util.List<CfgContractShort>` | `getCfgContractInfo()` Gets the value of the cfgContractInfo property.
    `int` | `getCfgContractInfoNSizeIs()` Gets the value of the cfgContractInfoNSizeIs property.
    `java.util.List<CfgTeamShort>` | `getCfgTeamInfo()` Gets the value of the cfgTeamInfo property.
    `int` | `getCfgTeamInfoNSizeIs()` Gets the value of the cfgTeamInfoNSizeIs property.
    `java.util.List<SchAgentDay>` | `getSchAgentDay()` Gets the value of the schAgentDay property.
    `int` | `getSchAgentDayNSizeIs()` Gets the value of the schAgentDayNSizeIs property.
    `java.util.List<SchAgentDayShort>` | `getSchAgentDayShort()` Gets the value of the schAgentDayShort property.
    `int` | `getSchAgentDayShortNSizeIs()` Gets the value of the schAgentDayShortNSizeIs property.
    `java.util.List<SchStateInfo>` | `getSchStateInfo()` Gets the value of the schStateInfo property.
    `int` | `getSchStateInfoNSizeIs()` Gets the value of the schStateInfoNSizeIs property.
    `java.util.List<SchTradeResponse>` | `getSchTradeResponse()` Gets the value of the schTradeResponse property.
    `int` | `getSchTradeResponseNSizeIs()` Gets the value of the schTradeResponseNSizeIs property.
    `int` | `hashCode()`
    `void` | `setCfgAgentInfo(java.util.List<CfgAgentShort> cfgAgentInfo)` Sets the value of the cfgAgentInfo property.
    `void` | `setCfgAgentInfoNSizeIs(int value)` Sets the value of the cfgAgentInfoNSizeIs property.
    `void` | `setCfgContractInfo(java.util.List<CfgContractShort> cfgContractInfo)` Sets the value of the cfgContractInfo property.
    `void` | `setCfgContractInfoNSizeIs(int value)` Sets the value of the cfgContractInfoNSizeIs property.
    `void` | `setCfgTeamInfo(java.util.List<CfgTeamShort> cfgTeamInfo)` Sets the value of the cfgTeamInfo property.
    `void` | `setCfgTeamInfoNSizeIs(int value)` Sets the value of the cfgTeamInfoNSizeIs property.
    `void` | `setSchAgentDay(java.util.List<SchAgentDay> schAgentDay)` Sets the value of the schAgentDay property.
    `void` | `setSchAgentDayNSizeIs(int value)` Sets the value of the schAgentDayNSizeIs property.
    `void` | `setSchAgentDayShort(java.util.List<SchAgentDayShort> schAgentDayShort)` Sets the value of the schAgentDayShort property.
    `void` | `setSchAgentDayShortNSizeIs(int value)` Sets the value of the schAgentDayShortNSizeIs property.
    `void` | `setSchStateInfo(java.util.List<SchStateInfo> schStateInfo)` Sets the value of the schStateInfo property.
    `void` | `setSchStateInfoNSizeIs(int value)` Sets the value of the schStateInfoNSizeIs property.
    `void` | `setSchTradeResponse(java.util.List<SchTradeResponse> schTradeResponse)` Sets the value of the schTradeResponse property.
    `void` | `setSchTradeResponseNSizeIs(int value)` Sets the value of the schTradeResponseNSizeIs property.
    `java.lang.String` | `toString()`
    `SchTradeResponseHolder` | `withCfgAgentInfo(CfgAgentShort... values)`
    `SchTradeResponseHolder` | `withCfgAgentInfo(java.util.Collection<CfgAgentShort> values)`
    `SchTradeResponseHolder` | `withCfgAgentInfoNSizeIs(int value)`
    `SchTradeResponseHolder` | `withCfgContractInfo(CfgContractShort... values)`
    `SchTradeResponseHolder` | `withCfgContractInfo(java.util.Collection<CfgContractShort> values)`
    `SchTradeResponseHolder` | `withCfgContractInfoNSizeIs(int value)`
    `SchTradeResponseHolder` | `withCfgTeamInfo(CfgTeamShort... values)`
    `SchTradeResponseHolder` | `withCfgTeamInfo(java.util.Collection<CfgTeamShort> values)`
    `SchTradeResponseHolder` | `withCfgTeamInfoNSizeIs(int value)`
    `SchTradeResponseHolder` | `withSchAgentDay(java.util.Collection<SchAgentDay> values)`
    `SchTradeResponseHolder` | `withSchAgentDay(SchAgentDay... values)`
    `SchTradeResponseHolder` | `withSchAgentDayNSizeIs(int value)`
    `SchTradeResponseHolder` | `withSchAgentDayShort(java.util.Collection<SchAgentDayShort> values)`
    `SchTradeResponseHolder` | `withSchAgentDayShort(SchAgentDayShort... values)`
    `SchTradeResponseHolder` | `withSchAgentDayShortNSizeIs(int value)`
    `SchTradeResponseHolder` | `withSchStateInfo(java.util.Collection<SchStateInfo> values)`
    `SchTradeResponseHolder` | `withSchStateInfo(SchStateInfo... values)`
    `SchTradeResponseHolder` | `withSchStateInfoNSizeIs(int value)`
    `SchTradeResponseHolder` | `withSchTradeResponse(java.util.Collection<SchTradeResponse> values)`
    `SchTradeResponseHolder` | `withSchTradeResponse(SchTradeResponse... values)`
    `SchTradeResponseHolder` | `withSchTradeResponseNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### schTradeResponseNSizeIs

          protected int schTradeResponseNSizeIs

    - #### schTradeResponse

          protected java.util.List<SchTradeResponse> schTradeResponse

    - #### schAgentDayNSizeIs

          protected int schAgentDayNSizeIs

    - #### schAgentDay

          protected java.util.List<SchAgentDay> schAgentDay

    - #### schAgentDayShortNSizeIs

          protected int schAgentDayShortNSizeIs

    - #### schAgentDayShort

          protected java.util.List<SchAgentDayShort> schAgentDayShort

    - #### schStateInfoNSizeIs

          protected int schStateInfoNSizeIs

    - #### schStateInfo

          protected java.util.List<SchStateInfo> schStateInfo

    - #### cfgAgentInfoNSizeIs

          protected int cfgAgentInfoNSizeIs

    - #### cfgAgentInfo

          protected java.util.List<CfgAgentShort> cfgAgentInfo

    - #### cfgTeamInfoNSizeIs

          protected int cfgTeamInfoNSizeIs

    - #### cfgTeamInfo

          protected java.util.List<CfgTeamShort> cfgTeamInfo

    - #### cfgContractInfoNSizeIs

          protected int cfgContractInfoNSizeIs

    - #### cfgContractInfo

          protected java.util.List<CfgContractShort> cfgContractInfo

  - ### Constructor Detail

    - #### SchTradeResponseHolder

          public SchTradeResponseHolder()

  - ### Method Detail

    - #### getSchTradeResponseNSizeIs

          public int getSchTradeResponseNSizeIs()

      Gets the value of the schTradeResponseNSizeIs property.

    - #### setSchTradeResponseNSizeIs

          public void setSchTradeResponseNSizeIs(int value)

      Sets the value of the schTradeResponseNSizeIs property.

    - #### getSchTradeResponse

          public java.util.List<SchTradeResponse> getSchTradeResponse()

      Gets the value of the schTradeResponse property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schTradeResponse property.

      For example, to add a new item, do as follows:

              getSchTradeResponse().add(newItem);

      Objects of the following type(s) are allowed in the list `SchTradeResponse`

    - #### getSchAgentDayNSizeIs

          public int getSchAgentDayNSizeIs()

      Gets the value of the schAgentDayNSizeIs property.

    - #### setSchAgentDayNSizeIs

          public void setSchAgentDayNSizeIs(int value)

      Sets the value of the schAgentDayNSizeIs property.

    - #### getSchAgentDay

          public java.util.List<SchAgentDay> getSchAgentDay()

      Gets the value of the schAgentDay property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schAgentDay property.

      For example, to add a new item, do as follows:

              getSchAgentDay().add(newItem);

      Objects of the following type(s) are allowed in the list `SchAgentDay`

    - #### getSchAgentDayShortNSizeIs

          public int getSchAgentDayShortNSizeIs()

      Gets the value of the schAgentDayShortNSizeIs property.

    - #### setSchAgentDayShortNSizeIs

          public void setSchAgentDayShortNSizeIs(int value)

      Sets the value of the schAgentDayShortNSizeIs property.

    - #### getSchAgentDayShort

          public java.util.List<SchAgentDayShort> getSchAgentDayShort()

      Gets the value of the schAgentDayShort property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schAgentDayShort property.

      For example, to add a new item, do as follows:

              getSchAgentDayShort().add(newItem);

      Objects of the following type(s) are allowed in the list `SchAgentDayShort`

    - #### getSchStateInfoNSizeIs

          public int getSchStateInfoNSizeIs()

      Gets the value of the schStateInfoNSizeIs property.

    - #### setSchStateInfoNSizeIs

          public void setSchStateInfoNSizeIs(int value)

      Sets the value of the schStateInfoNSizeIs property.

    - #### getSchStateInfo

          public java.util.List<SchStateInfo> getSchStateInfo()

      Gets the value of the schStateInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schStateInfo property.

      For example, to add a new item, do as follows:

              getSchStateInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `SchStateInfo`

    - #### getCfgAgentInfoNSizeIs

          public int getCfgAgentInfoNSizeIs()

      Gets the value of the cfgAgentInfoNSizeIs property.

    - #### setCfgAgentInfoNSizeIs

          public void setCfgAgentInfoNSizeIs(int value)

      Sets the value of the cfgAgentInfoNSizeIs property.

    - #### getCfgAgentInfo

          public java.util.List<CfgAgentShort> getCfgAgentInfo()

      Gets the value of the cfgAgentInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cfgAgentInfo property.

      For example, to add a new item, do as follows:

              getCfgAgentInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAgentShort`

    - #### getCfgTeamInfoNSizeIs

          public int getCfgTeamInfoNSizeIs()

      Gets the value of the cfgTeamInfoNSizeIs property.

    - #### setCfgTeamInfoNSizeIs

          public void setCfgTeamInfoNSizeIs(int value)

      Sets the value of the cfgTeamInfoNSizeIs property.

    - #### getCfgTeamInfo

          public java.util.List<CfgTeamShort> getCfgTeamInfo()

      Gets the value of the cfgTeamInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cfgTeamInfo property.

      For example, to add a new item, do as follows:

              getCfgTeamInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgTeamShort`

    - #### getCfgContractInfoNSizeIs

          public int getCfgContractInfoNSizeIs()

      Gets the value of the cfgContractInfoNSizeIs property.

    - #### setCfgContractInfoNSizeIs

          public void setCfgContractInfoNSizeIs(int value)

      Sets the value of the cfgContractInfoNSizeIs property.

    - #### getCfgContractInfo

          public java.util.List<CfgContractShort> getCfgContractInfo()

      Gets the value of the cfgContractInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cfgContractInfo property.

      For example, to add a new item, do as follows:

              getCfgContractInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgContractShort`

    - #### withSchTradeResponseNSizeIs

          public SchTradeResponseHolder withSchTradeResponseNSizeIs(int value)

    - #### withSchTradeResponse

          public SchTradeResponseHolder withSchTradeResponse(SchTradeResponse... values)

    - #### withSchTradeResponse

          public SchTradeResponseHolder withSchTradeResponse(java.util.Collection<SchTradeResponse> values)

    - #### withSchAgentDayNSizeIs

          public SchTradeResponseHolder withSchAgentDayNSizeIs(int value)

    - #### withSchAgentDay

          public SchTradeResponseHolder withSchAgentDay(SchAgentDay... values)

    - #### withSchAgentDay

          public SchTradeResponseHolder withSchAgentDay(java.util.Collection<SchAgentDay> values)

    - #### withSchAgentDayShortNSizeIs

          public SchTradeResponseHolder withSchAgentDayShortNSizeIs(int value)

    - #### withSchAgentDayShort

          public SchTradeResponseHolder withSchAgentDayShort(SchAgentDayShort... values)

    - #### withSchAgentDayShort

          public SchTradeResponseHolder withSchAgentDayShort(java.util.Collection<SchAgentDayShort> values)

    - #### withSchStateInfoNSizeIs

          public SchTradeResponseHolder withSchStateInfoNSizeIs(int value)

    - #### withSchStateInfo

          public SchTradeResponseHolder withSchStateInfo(SchStateInfo... values)

    - #### withSchStateInfo

          public SchTradeResponseHolder withSchStateInfo(java.util.Collection<SchStateInfo> values)

    - #### withCfgAgentInfoNSizeIs

          public SchTradeResponseHolder withCfgAgentInfoNSizeIs(int value)

    - #### withCfgAgentInfo

          public SchTradeResponseHolder withCfgAgentInfo(CfgAgentShort... values)

    - #### withCfgAgentInfo

          public SchTradeResponseHolder withCfgAgentInfo(java.util.Collection<CfgAgentShort> values)

    - #### withCfgTeamInfoNSizeIs

          public SchTradeResponseHolder withCfgTeamInfoNSizeIs(int value)

    - #### withCfgTeamInfo

          public SchTradeResponseHolder withCfgTeamInfo(CfgTeamShort... values)

    - #### withCfgTeamInfo

          public SchTradeResponseHolder withCfgTeamInfo(java.util.Collection<CfgTeamShort> values)

    - #### withCfgContractInfoNSizeIs

          public SchTradeResponseHolder withCfgContractInfoNSizeIs(int value)

    - #### withCfgContractInfo

          public SchTradeResponseHolder withCfgContractInfo(CfgContractShort... values)

    - #### withCfgContractInfo

          public SchTradeResponseHolder withCfgContractInfo(java.util.Collection<CfgContractShort> values)

    - #### setSchTradeResponse

          public void setSchTradeResponse(java.util.List<SchTradeResponse> schTradeResponse)

      Sets the value of the schTradeResponse property.
      Parameters:
        `schTradeResponse` - allowed object is `SchTradeResponse`

    - #### setSchAgentDay

          public void setSchAgentDay(java.util.List<SchAgentDay> schAgentDay)

      Sets the value of the schAgentDay property.
      Parameters:
        `schAgentDay` - allowed object is `SchAgentDay`

    - #### setSchAgentDayShort

          public void setSchAgentDayShort(java.util.List<SchAgentDayShort> schAgentDayShort)

      Sets the value of the schAgentDayShort property.
      Parameters:
        `schAgentDayShort` - allowed object is `SchAgentDayShort`

    - #### setSchStateInfo

          public void setSchStateInfo(java.util.List<SchStateInfo> schStateInfo)

      Sets the value of the schStateInfo property.
      Parameters:
        `schStateInfo` - allowed object is `SchStateInfo`

    - #### setCfgAgentInfo

          public void setCfgAgentInfo(java.util.List<CfgAgentShort> cfgAgentInfo)

      Sets the value of the cfgAgentInfo property.
      Parameters:
        `cfgAgentInfo` - allowed object is `CfgAgentShort`

    - #### setCfgTeamInfo

          public void setCfgTeamInfo(java.util.List<CfgTeamShort> cfgTeamInfo)

      Sets the value of the cfgTeamInfo property.
      Parameters:
        `cfgTeamInfo` - allowed object is `CfgTeamShort`

    - #### setCfgContractInfo

          public void setCfgContractInfo(java.util.List<CfgContractShort> cfgContractInfo)

      Sets the value of the cfgContractInfo property.
      Parameters:
        `cfgContractInfo` - allowed object is `CfgContractShort`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.